| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all documented class members with links to the class documentation for each member:

### - b -

- B() : csPlane3, csPlane2, csDPlane
- b : csIntersectingTriangle, csFixedSizeAllocator< Size, Allocator >::BlocksWrapper, csCompressVertexInfo, CS::PluginCommon::SoftShader::Pixel::tag_c, csTriangle
- b1 : csCollisionPair
- b2 : csCollisionPair
- Back2Front() : csBSPTree
- BackingStoreBase : MINIDUMP_THREAD_EX_CALLBACK
- BackingStoreEnd : MINIDUMP_THREAD_EX_CALLBACK
- BackingStoreOffset : IMAGEHLP_STACK_FRAME
- BaseFunction() : csCatmullRomSpline, csBSpline
- BaseOfImage : MINIDUMP_INCLUDE_MODULE_CALLBACK, MINIDUMP_MODULE_CALLBACK, IMAGEHLP_MODULEW64, IMAGEHLP_MODULE64
- BatchClassify() : csFrustum
- bbox : csParticleSystem, csTestRectData
- BeforeDelete() : iFontDeleteNotify
- BeforeDrawing() : iMeshObjectDrawCallback, iMeshDrawCallback
- Begin() : csColorQuantizer
- BeginDraw() : iGraphics3D, iGraphics2D, csGraphics2DGLCommon, csGraphics2D
- BeginTriangulate() : CS::TriangleIndicesStream< T >
- Benchmark() : iDebugHelper, csGraphics2D, csTiledCoverageBuffer, csGeomDebugHelper, csKDTree
- Between() : csDMath3, csMath3, csBox3
- bFace : csBox3
- BGRA8888 : iTextureHandle
- Bias() : csColorQuantizer
- Bind() : iConsoleInput
- BindAxis() : iInputBinder, csInputBinder
- BindButton() : iInputBinder, csInputBinder
- BindMaterials() : iSpriteCal3DFactoryState
- bitmap : CS::PluginCommon::SoftShader::SoftwareTexture
- bitmapMetrics : csSoftFontCache::SoftGlyphCacheData
- BitProxy : csBitArrayTweakable< InlinedBits, Allocator >::BitProxy, csBitArrayTweakable< InlinedBits, Allocator >
- bits : csBitmaskToString::MaskNames
- Bits : csSndSysSoundFormat
- BlendMorphTarget() : iSpriteCal3DState
- Blit() : iTextureHandle, iGraphics2D, csGraphics2DGLCommon, csGraphics2D
- BlockAllocatedSV : csShaderVarBlockAlloc< ObjectDispose >
- BlockKey() : csFixedSizeAllocator< Size, Allocator >::BlockKey
- blocks : csFixedSizeAllocator< Size, Allocator >
- blocksize : csFixedSizeAllocator< Size, Allocator >, csFixedSizeAllocator< Size, Allocator >::BlockKey
- blue : csColor, csRGBpixel, csRGBcolor
- BlueBits : csPixelFormat
- BlueMask : csPixelFormat
- BlueShift : csPixelFormat
- Blur() : csImageManipulate
- BodyInGroup() : iBodyGroup
- boundingbox : csMeshObject
- boundtexture : csGLStateCacheContext
- BoxBox() : csIntersect3
- BoxFrustum() : csIntersect3
- BoxInClosedMesh() : csPolygonMeshTools
- BoxPlane() : csIntersect3
- BoxSegment() : csIntersect3
- BoxSphere() : csIntersect3
- BoxTriangle() : csIntersect3
- Broadcast : iEventOutlet, csEventOutlet, iEvent
- BSF() : csTreeNode
- buf : csMD5::md5_state_t
- buffer : csMemFile, csRenderBuffer
- Buffer : MINIDUMP_USER_STREAM
- buffer_samples : iSndSysSoftwareFilter3DProperties
- bufferComps : CS::PluginCommon::SoftShader::iScanlineRenderer::RenderInfoMesh
- bufferHolder : csParticleSystem::PerFrameData
- buffers : csRenderBufferHolder, csRenderMeshModes
- bufferSize : csRenderBuffer
- BufferSize : MINIDUMP_USER_STREAM
- bufferType : csRenderBuffer::Props
- bugplug : csTiledCoverageBuffer
- Build() : csBSPTree
- Button : iInputBinder, csInputBinder, csJoystickEventData, csMouseEventData, csJoystickDriver, csMouseDriver